Come for the products,
stay for the community

The Atlassian Community can help you and your team get more value out of Atlassian products and practices.

Atlassian Community about banner
4,365,129
Community Members
 
Community Events
168
Community Groups

Problem setting Crowd database, error pluggins not available

Database configuration

Select the type of database you would like to use with Crowd.

Top of Form

The following required plugins are not available: [Crowd REST API, Atlassian Plugins - Web Resources - Implementation Plugin, Atlassian UI Plugin, Atlassian Soy - Plugin]. See Crowd server logs for details. The setup process cannot continue until the problem has been solved. If you require further assistance, you can contact Atlassian support.

The database contains existing data.

Embedded

The embedded database will allow Crowd to operate without an external database. This is useful when evaluating Crowd and not recommended for production systems.

JDBC connection

Connect to an external database using a JDBC connection.

JNDI datasource

Connect to an external database through a datasource managed by the application server.

Database required -- Select a database -- PostgreSQL MySQL Oracle 12c Microsoft SQL Server Unsupported Database

Select a database preconfiguration.

Driver class name required

The class name of the database driver. Ensure that this class is in your application server's class path.

JDBC URL required

The JDBC URL to access the database.

Username required

The username to access the database.

Password

The password to access the database.

Hibernate dialect required

Only modify the Hibernate dialect if you require a variant dialect for your database type.

Overwrite existing data

Overwrite any existing data in the database for a clean installation of Crowd.

2 answers

If you are running JDK newer than v8 try downgrading to v8.  Set your JAVA_HOME variable to v8 location and restart your services.

0 votes

Hi Toby,

It looks like this is just a copy / paste of a Crowd error/setup screen. If you can provide some background info (is this a new or existing install, what were you trying to do etc) then the community may be able to assist.

 

CCM

New installation- received error when going through SQL DB setup. See below

Atlassian Crowd - Database configuration The following required plugins are not available: [Crowd REST API, Atlassian Plugins - Web Resources - Implementation Plugin, Atlassian UI Plugin, Atlassian Soy - Plugin]. See Crowd server logs for details. The setup process cannot continue until the problem has been solved. If you require further assistance, you can contact Atlassian support.

Suggest an answer

Log in or Sign up to answer
TAGS

Atlassian Community Events